# Open Data for Open Cities full day Workshop: Re-use and discovery level, applied to the spatial point analysis process on linear networks.

5th Participatory Workshop of [initiative CityData 3.0](http://opendata4opencities.uji.es) for AGILE 2017 Conference in  Wageningen University, The Netherlands.

In case you find the resources of this page useful to incorporate them in your projects or research, the authors appreciate to be mentioned.  
Fernando Benitez, Universitat Jaume I, Spain - benitezm@uji.es
Mohammad Medhi Moradi, Universitar Jaume I, Spain - moradi@uji.es
[GeoC: Enabling Open Cities](http://geo-c.eu/)

[Here](https://github.com/GeoTecINIT/OpenData4OpenCities/blob/master/AGILE2017%20OpenData4OpenCities.pdf) you can read and download the slides of this workshop.

Find here the detailed agenda of this workshop, the presentations slides, and our keynote speaker presentation, from European Data Portal. http://opendata4opencities.uji.es

## How to use this repo

Each directory contains a README.md that should be read before exploring any sub-directories. You can just browse the directories on github.com in your favorite browser for instructions on how to use the directory's contents.

Since this README is at the top-level, it contains the general information and activities.

## Workshop activities

This workshop had two interactive sessions, you can follow the following seccions to get information of each activity.

### [1. Group discussion with participants and Open Data experts: Around three wallpapers with three remain questions in initiative City Data 3.0](https://github.com/GeoTecINIT/OpenData4OpenCities/tree/master/Group%20Wallpapers%20activity)

* Is the downloadable formats the effective way to promote the reuse of open data?
* What should be the precise and efficient way to display data in open data portals?
* Moreover, what should be the way to make the open data in cities available: through SDI portals, Open Data portals or both?

Why nowadays the reuse and discoverability lever are important for innovate city? Get all the details and results of this group discussion and remarks presented around the questions.

If you want to contribute and improve this discussion feel free to fork this repo, all contributions are welcome.

### [2. Spatial Point process for car accidents using Open Data from Medellin City. ](https://github.com/GeoTecINIT/OpenData4OpenCities/tree/master/Spatial%20point%20analysis%20process)

This new methodology allows to create an intensity network using the city street network and points events in a city.
For more information of this use case and the steps made during this workshop.

All questions, comments, and suggestion are welcome. Just fork this repo or follow the wizard to get the results of this analysis, besides if you need more help or assistance to understand this new spatial point process, we are glad to attend you.


## Agenda (the workshop took place in the last AGILE 2017 conference)

Would you like to access the selected papers and presentations presented during the conference? Then please [click](http://opendata4opencities.uji.es/)  

* 9:00 – 9:30	Opening and Introduction to the workshop.	Joaquin Huerta, Fernando Benitez, Mehdi Moradi
* 9:30 – 10:00	Keynote Talk:  Barriers and benefits in working with Open Data.	Heleen Vollers, European Data Portal.
* 10:00 – 10:30	Open data portals as part of the open data ecosystem? Lessons learned from geoportal research.	Bastiaan van Loenen, Knowledge Centre Open Data
Joep Crompvoets, Instituut voor de Overheid
* 10:30 – 11:00	Coffee Break
* 11:00 – 11:20	Integreating geological and seismological data in
point process models for seismical analysis.	Marianna Siino,  Dipartimento di Scienze Economiche, Palermo, Italy
* 11:30 – 11:50	Crime and Open Data, Use case Spain.	Raquel Martin-Pozuelo Ojalbo, Master GeoTec, Spain
* 12:00 – 12: 20	Open data and disaster management.	Ditsuhi Iskandaryan, Master GeoTec, Spain
* 12:30 – 13:30	Lunchtime
* 13:40 – 14:30	Open Discussion:  Hands-on Activity, Open Data and its impact	Fernando Benitez, Medhi Moradi
* 14:30 – 15:30	Interactive session,  Part I with point process analysis: Learn how to find the hotspots in cities’ street network. Theory part	Medhi Moradi
* 15:30 – 16:00	Coffee Break
* 16:00 – 16:30	Interactive session with point process analysis Part II: Learn how to find the hotspots in cities’ street network.	Fernando Benitez,  Mehdi Moradi
* 16:30 – 17:00	Open Discussion and Conclusions outline for a research report and future outcomes, related to re-use, discoverability and relevant open data in cities.	Joaquin Huerta, Fernando Benitez, Mehdi Moradi

## Keynote Speaker. [Heleen Vollers](https://nl.linkedin.com/in/heleen-vollers-527a0210) From [European Data Portal](https://www.europeandataportal.eu/en)

Heleen Vollers: Senior Management Consultant at Capgemini Consulting. She works in the Public Insights & Data practice of Capgemini Consulting where she is a member of Capgemini’s global EU account.

Heleen is actively involved in the development of the European Data Portal and associated services, on behalf of the European Commission – DG CONNECT. She is the stream lead on support services to countries as they mature on their Open Data journey and is in charge of stakeholder management. In addition, she leads the research work on measuring the level of Open Data maturity across Europe.

Before joining Capgemini Consulting, she worked as Director EU Affairs in Brussels representing the critical raw materials industry.

Would you like to access her presentations presented during the workshop? Then please [click](http://opendata4opencities.uji.es/)  

## Questions, comments.

if you have some questions or comments please contact us by email to Fernando Benitez - benitezm@uji.es or Mohammad Medhi Moradi - moradi@uji.es

