# 2nd AGILE Workshop Open Data for Open Cities: The reuse of open data through spatial analysis.

This is the second version of the Participatory Workshop Open Data for Open Cities (http://opendata4opencities.uji.es) for AGILE 2018 Conference in  Lund University, Lund - Sweden.

In case you find the resources of this page useful to incorporate them in your projects or research, the authors appreciate to be mentioned.  
Adeoluwa Akande, Universidade Nova de Lisboa, Portugal - adeoluwa.akande@novaims.unl.pt
Fernando Benitez, Universitat Jaume I, Spain - benitezm@uji.es
[GeoC: Enabling Open Cities](http://geo-c.eu/)

[Here](Soon) you will can read and download the slides of the previoues workshop - AGILE 2017.

Find here the detailed agenda of this workshop, the presentations slides, and our keynote speakers presentation, from European Data Portal and ESRI’s Research and Development Center in Washington, DC. http://opendata4opencities.uji.es

## How to use this repo

Each directory contains a README.md that should be read before exploring any sub-directories. You can just browse the directories on github.com in your favorite browser for instructions on how to use the directory's contents.

Since this README is at the top-level, it contains the general information and activities.

## Why we are doing this workshop?

Cities are the hubs of innovation driving the economic development of the world. The explosive growth of cities and the rapid expansion of broadband and data are intersecting at a time when the world faces serious challenges to achieving more sustainable development. Cities now have an essential role to play in national and local open data initiatives. However, are cities ready to move forward regarding open data? Are user requirements taken into consideration in open data strategy? How are open data being used to make cities inclusive, safe, resilient and sustainable? Which are the best practice examples to follow?

This second edition of the OD4OC workshop has a broad agenda that will guide you in how to use open geospatial data, organized around policy goals to design data-driven initiatives in communities. The workshop features two key speakers, Cosmina Radu from the European Data Portal, who will present insights from recent reports on the future of open data portals, economic benefits and entrepreneurship of open data; and Andrew Turner from Esri’s development center in Washington DC, who will show examples of open data portals built to meet the needs of citizens.

Four short-papers will be selected from those submitted, to be presented in the workshop. Authors of all accepted workshop papers will be invited to submit full papers to a special issue of the Journal /Information/ of MDPI with a submission deadline of 1st September 2018. Finally, one portion of the workshop will be dedicated to  lead a brief discussion over the reusability of open geographic data, and some examples of the applicability of spatial analysis using open data from Eurostat to develop indicators to measure sustainability of cities in Europe.

This workshop is a part of the GEO-C (Enabling Open Cities) project which is a joint European project between three universities: NOVA Information Management School in Portugal, Universitat Jaume I in Spain, and the Institute for Geoinformatics in Münster, Germany.


## Workshop activities

This workshop have planned interactive sessions, call for papers, special issue and a lot of resources, you can follow the following seccions to get information of each activity.

### Call for Papers

Here you can find the slides, papers and resources used and ilustrated by selected authors.  

### [1.Session 1](REF)

Here you will find all the first session resources.

### [2. Session 2 ](REF)

Here you will find all the Second session resources.

## Preleminary Agenda. Updated 15 March, 2018.

### Morning Session

Time  | Session | Lead by
------------- | ------------- | -------------
9:00 - 9:30  | Opening and Introduction to the workshop  | Adeoluwa Akande, NOVA & Fernando Benitez, UJI
9:30 - 10:00 | Keynote title Talk: Announced soon  | Cosmina Radu, Campgemeni - European Data Portal
10:00 - 10:30  | The use of open geospatial information to design data-driven initiatives - First Part | Andrew Turner, Esri
10:30 - 11:00 | Tea Break  | All workshop participants
11:00 - 12:30  |The use of open geospatial information to design data-driven initiatives - Second Part | Andrew Turner, Esi
12:30 - 13:30 | Lunch  | All workshop participants

### Afternoon Session
Time  | Session | Lead by
------------- | ------------- | -------------
13:30 - 14:00 | Short paper 1: Call for Papers | --
14:00 - 14:30 | Short paper 2: Call for Papers | --
14:30 - 15:00  | Short paper 3: Call for Papers | --
15:00 - 15:30 | Tea Break  | All workshop participants
15:30 - 16:00  | Short paper 4: Call for Papers  | --
16:00 - 16:30 | Interactive session: Statistical analysis for building indicators to feel the pulse of a city using open data  | Fernando Santa, NOVA
16:30 - 17:00 | Discussion and Conclusion | Adeoluwa Akande, NOVA, Fernando Benitez, UJI


## Keynote Speakers. 

### Cosmina Radu

She is currently working at the European level, assisting the European Commission in the implementation and monitoring of its digital transformation and data policies in the Member States. Provinging strategy and technology consultancy services on aspects such as open data, the European data economy, as well as modernization of public administration and user-centric eGovernment.

As part of the European Data Portal flagship project, she assists the European Commission with the development of its annual EU Open Data Maturity Assessment and the promotion and development of Open Data strategies across the EU Member States, the EFTA countries and the EU accession candidates.


### Andrew Turner

Andrew is the current director and Chief Technical Officer (CTO) of ESRI’s Research and Development Center in Washington, DC. His work focuses on cross-domain collaboration and democratizing the map making process, creating open tools for cartography and analysis. Andrew will be giving a keynote an open data portals built to meet the needs of citizens. He will also be leading a hands-on session on using open geospatial information to design data driven initiatives. You can find out more here.


Would you like to access her presentations presented during the workshop? Then please [click](http://opendata4opencities.uji.es/)  

## Who is organizing this workshop?

The workshop will be managed by people from two European universities which are part of “Enabling Open Cities (Geo-C, www.geo-c.eu)” project. If you have any question, please do not hesitate to contact us.

* NOVA IMS – Nova Information Management School, Universidade Nova de Lisboa., Portugal
    * Prof. Marco Painho, painho@novaims.unl.pt,
    * Prof Pedro Cabral, pcabral@novaims.unl.pt ,
    * Adeoluwa Akande, adeoluwa.akande@novaims.unl.pt
* Institute of new imaging technology, Universitat Jaume I, Spain.
    * Prof. Joaquin Huerta, huerta@uji.es.
    * Prof. Michael Gould, gould@uji.es.
    * Fernando Benitez, benitezm@uji.es.

## Questions, comments.

if you have some questions or comments please contact us by email to Adeoluwa Akande - adeoluwa.akande@novaims.unl.pt or Fernando Benitez - benitezm@uji.es.
